{{- /* Benchmarking Suite
 * Copyright 2014-2022 Engineering Ingegneria Informatica S.p.A.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */ -}}

{{- if .Values.api.enabled -}}
{{ template "cybco.stable-secret" (list . "benchsuite.api-secret-data")}}
{{- end -}}

{{- define "benchsuite.api-secret-data" -}}
metadata:
  name: {{ include "cybco.fullname" . }}-api-secret-key
data:
  aes-key: {{ randAlphaNum 10 | b64enc | quote }}
{{- end -}}